import os
import sys
sys.path.append(os.path.dirname(os.path.dirname(__file__)))
# import event
from appiumConfigure.config import appiumConfig
from appiumConfigure import find_element
from page import login_Page, home_Page
import time


class Case(appiumConfig):

    def test_01_username_and_password_login(self):
        '登录页面'

        # 点击首页关闭弹窗
        find_element.ElementNotAssert(self.driver, home_Page.dialog_home_img_cancel)

        #点击 我 按钮
        ele = find_element.element(self.driver, home_Page.me)
        ele.click()

        # 点击账号登录
        ele = find_element.element(self.driver, login_Page.password_login)
        ele.click()

        # 点击账号框
        ele = find_element.element(self.driver, login_Page.click_username)
        ele.click()

        # 输入账号
        ele = find_element.element(self.driver, login_Page.sendkeys_username)
        ele.send_keys(login_Page.username)

        # 输入密码
        ele = find_element.element(self.driver, login_Page.sendkeys_password)
        ele.send_keys(login_Page.password)

        #点击立即登录按钮
        ele = find_element.element(self.driver, login_Page.login_button)
        ele.click()
