import os
import sys
sys.path.append(os.path.dirname(os.path.dirname(__file__)))
# import event
from appiumConfigure.config import appiumConfig
from appiumConfigure import find_element
from page import home_Page,search_Page
from Charles.mitm import mitm_query
from appiumConfigure import backtoapp
from Charles import AssertLen
import time
import json
from pprint import pprint
class Case(appiumConfig):

    def test_01_CityFilter(self):
        '城市选择器点击埋点'
        # 关闭弹窗点击
        find_element.ElementNotAssert(self.driver, home_Page.dialog_home_img_cancel)
        # 点击导航栏地域选择框（选择城市按钮）
        ele = find_element.element(self.driver,home_Page.city)
        ele.click()

        backtoapp.backapp(self.driver,2)

        result = mitm_query(action="home_click_navbar_area",page_name="home")
        AssertLen.maidiannumber(result)

    def test_02_addBUtton(self):
        '首页发帖按钮+号点击埋点'
        # 关闭弹窗点击
        find_element.ElementNotAssert(self.driver, home_Page.dialog_home_img_cancel)
        # 首页点击➕号按钮
        ele = find_element.element(self.driver,home_Page.add_button)
        ele.click()
        backtoapp.backapp(self.driver,2)

        # "params": {
        #     "page_name": "home",
        #     "referrer_link": [
        #
        #     ],
        #     "type": "new"
        # },
        # "type": "on_click_create_topic",

        result = mitm_query(action="on_click_create_topic",page_name="home",type="new")
        AssertLen.maidiannumber(result)


    def test_03_home_icon(self):
        '金刚区按钮点击埋点'
        # 关闭弹窗点击
        find_element.ElementNotAssert(self.driver, home_Page.dialog_home_img_cancel)
        # 金刚区按钮点击
        ele = find_element.element(self.driver,home_Page.home_jingang_icon)
        ele.click()
        backtoapp.backapp(self.driver,2)

        # "params": {
        #     "current_position": 0,
        #     "referrer_link": [],
        #     "card_type": "icon",
        #     "transaction_type": "operation",
        #     "card_content_type": "16",
        #     "total_position": 2,
        #     "url": "gengmei://operation_together?cp_id=9",
        #     "card_id": "26",
        #     "module_id": 26,
        #     "result_status": "",
        #     "page_name": "home",
        #     "card_name": "玻尿酸",
        #     "position": 0,
        #     "in_page_pos": "outer_face"
        # },
        # "type": "on_click_card",

        result  = mitm_query(action="on_click_card",in_page_pos="outer_face",page_name="home",card_type="icon")
        AssertLen.maidiannumber(result)
        url = result[0].get("params").get("url")
        find_element.notnull((url,))



    def test_04_BannerClick(self):
        '首页banner点击埋点'
        # 关闭弹窗点击
        find_element.ElementNotAssert(self.driver, home_Page.dialog_home_img_cancel)
        # 点击banner
        ele = find_element.element(self.driver,home_Page.banner_click)
        ele.click()
        backtoapp.backapp(self.driver, 2)

        # "params": {
        #     "referrer_id": "2695",
        #     "referrer_link": [],
        #     "transaction_type": "operation",
        #     "card_type": "banner",
        #     "card_id": 1983,
        #     "referrer": "open_ad",
        #     "module_id": 9280,
        #     "page_name": "home",
        #     "card_name": "女神新人馆",
        #     "card_content_type ": "自定义专题页面",
        #     "position": 2,
        #     "business_id": "",
        #     "in_page_pos": "top"
        # },
        # "type": "on_click_card",

        result = mitm_query(action="on_click_card",card_type="banner",referrer="open_ad",page_name="home")
        AssertLen.maidiannumber(result)

    def test_05_FourTofu(self):
        '首页四分区豆腐块点击埋点'
        # 关闭弹窗点击
        find_element.ElementNotAssert(self.driver, home_Page.dialog_home_img_cancel)
        # 首页四分区豆腐块点击
        ele = find_element.element(self.driver,home_Page.four_fotu)
        ele.click()
        backtoapp.backapp(self.driver,2)

        # "params": {
        #     "module_id": 1148,
        #     "target_name": "",
        #     "module_type": 44,
        #     "grid": "a",
        #     "page_name": "home",
        #     "referrer_link": [],
        #     "position": 0,
        #     "transaction_type": "operation",
        #     "card_type": "gadget",
        #     "card_content_type": "45",
        #     "business_id": "",
        #     "card_id": "1980"
        # },
        # "type": "on_click_card",

        result = mitm_query(action="on_click_card", card_type="gadget", page_name="home", grid="a")
        AssertLen.maidiannumber(result)

    def test_06_title_hengtiao(self):
        '首页顶部横条'
        # 关闭弹窗点击
        find_element.ElementNotAssert(self.driver, home_Page.dialog_home_img_cancel)
        # 点击顶部滑动条功能
        ele = find_element.element(self.driver,home_Page.title_hengtiao)
        ele.click()
        backtoapp.backapp(self.driver,2)

        # "params": {
        #     "module_id": "21",
        #     "page_name": "home",
        #     "card_name": "新人免单",
        #     "referrer_link": [],
        #     "absolute_position": 0,
        #     "position": 0,
        #     "card_type": "function_entrance",
        #     "transaction_type": "operation",
        #     "url": "gengmei://common_webview?url=https://backend.igengmei.com/phantom/visual_special/1975"
        # },
        # "type": "on_click_card",

        result = mitm_query(action="on_click_card",page_name="home",absolute_position=0,card_type="function_entrance")
        AssertLen.maidiannumber(result)
        url = result[0].get("params").get("url")
        find_element.notnull((url,))


    def test_07_Shooping_mall(self):
        '点击底部商城按钮埋点'
        # 关闭弹窗点击
        find_element.ElementNotAssert(self.driver, home_Page.dialog_home_img_cancel)
        #点击底部商城按钮
        ele = find_element.element(self.driver,home_Page.Shooping_mall_click)
        ele.click()
        backtoapp.backapp(self.driver,2)

        # "params": {
        #     "referrer": "",
        #     "sec_tab_name": "",
        #     "tab_type": "out_tab",
        #     "referrer_id": "2695",
        #     "page_name": "welfare_home",
        #     "tab_name": "welfare",
        #     "referrer_link": [],
        #     "position": "1",
        #     "business_id": ""
        # },
        # "type": "on_click_tab",

        result = mitm_query(action="on_click_tab", tab_type="out_tab", page_name="welfare_home", tab_name="welfare")
        AssertLen.maidiannumber(result)


